routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('authentication.login');
});

// Route::get('{any}', function () {
//     return view('app');
// })->where('any', '.*');

Route::group(['namespace' => 'App\Http\Controllers\web'], function(){
    Route::get('/register', 'AuthenticationController@register')->name('register');
    Route::post('/do-register', 'AuthenticationController@doRegister')->name('do-register');

    Route::get('/login', 'AuthenticationController@login')->name('login');
    Route::post('/do-login', 'AuthenticationController@doLogin')->name('do-login');

    Route::get('/dashboard-guest', 'DashboardController@guest')->name('dashboard.guest');

    Route::middleware('auth')->group( function () {
        Route::get('/logout', 'AuthenticationController@logout')->name('logout');

        Route::get('/dashboard', 'DashboardController@index')->name('dashboard.index');

        Route::resource('products', 'ProductController');
        Route::resource('categories', 'CategoryController');
    });
});

resources/views/layout/footer.blade.php
<!-- Footer -->
<footer class="sticky-footer bg-white">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span>Copyright &copy; Your Website 2021</span>
        </div>
    </div>
</footer>
<!-- End of Footer -->

resources/views/layout/header.blade.php
<!-- Custom fonts for this template-->
<link href="{{ asset('sb-admin-2') }}/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

<!-- Custom styles for this template-->
<link href="{{ asset('sb-admin-2') }}/css/sb-admin-2.min.css" rel="stylesheet">

<link rel="stylesheet" href="//cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">

resources/views/layout/main.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Laravue</title>

    @include('layout.header')
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        @include('layout.sidebar')

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                @include('layout.navbar')

                <!-- Begin Page Content -->
                <div class="container-fluid">

                @yield('content')

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            @include('layout.footer')

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" href={{ route('logout') }}>Logout</a>
                </div>
            </div>
        </div>
    </div>

    @include('layout.script')
    @yield('script')

</body>

</html>

resources/views/layout/navbar.blade.php
<!-- Topbar -->
<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

    <!-- Sidebar Toggle (Topbar) -->
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
        <i class="fa fa-bars"></i>
    </button>

    <!-- Topbar Navbar -->
    <ul class="navbar-nav ml-auto">

        <div class="topbar-divider d-none d-sm-block"></div>

        <!-- Nav Item - User Information -->
        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ auth()->user() ? auth()->user()->name : 'Guest' }}</span>
                <img class="img-profile rounded-circle"
                    src="{{ asset('sb-admin-2') }}/img/undraw_profile.svg">
            </a>
            <!-- Dropdown - User Information -->
            @if(auth()->user())
                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                    aria-labelledby="userDropdown">
                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                        Logout
                    </a>
                </div>
            @endif
        </li>

    </ul>

</nav>
<!-- End of Topbar -->

resources/views/layout/script.blade.php
<!-- Bootstrap core JavaScript-->
<script src="{{ asset('sb-admin-2') }}/vendor/jquery/jquery.min.js"></script>
<script src="{{ asset('sb-admin-2') }}/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="{{ asset('sb-admin-2') }}/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="{{ asset('sb-admin-2') }}/js/sb-admin-2.min.js"></script>

<!-- Page level plugins -->
<script src="{{ asset('sb-admin-2') }}/vendor/chart.js/Chart.min.js"></script>

<!-- Page level custom scripts -->
<script src="{{ asset('sb-admin-2') }}/js/demo/chart-area-demo.js"></script>
<script src="{{ asset('sb-admin-2') }}/js/demo/chart-pie-demo.js"></script>

<script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>

resources/views/layout/sidebar.blade.php
<!-- Sidebar -->
<ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

    <!-- Sidebar - Brand -->
    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
        <div class="sidebar-brand-icon rotate-n-15">
            <i class="fas fa-laugh-wink"></i>
        </div>
        <div class="sidebar-brand-text mx-3">Laravue</div>
    </a>

    <!-- Divider -->
    <hr class="sidebar-divider my-0">

    <!-- Nav Item - Dashboard -->
    <li class="nav-item">
        <a class="nav-link" href={{ route('dashboard.index') }}>
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span></a>
    </li>

    @if(auth()->user())
    <!-- Divider -->
    <hr class="sidebar-divider">
        <!-- Heading -->
        <div class="sidebar-heading">
            List
        </div>
    @endif

    @if(auth()->user())
        <li class="nav-item">
            <a class="nav-link" href={{ route('products.index') }}>
                <i class="fas fa-fw fa-table"></i>
                <span>Product</span></a>
        </li>
    @endif

    @if(auth()->user())
        <li class="nav-item">
            <a class="nav-link" href={{ route('categories.index') }}>
                <i class="fas fa-fw fa-table"></i>
                <span>Categories</span></a>
        </li>
    @endif

    @if (auth()->user() && auth()->user()->role === 'admin')
        <li class="nav-item">
            <a class="nav-link" href=#>
                <i class="fas fa-fw fa-table"></i>
                <span>Product Admin</span></a>
        </li>
    @endif


    @if (auth()->user() &&  auth()->user()->role === 'user')
        <li class="nav-item">
            <a class="nav-link" href=#>
                <i class="fas fa-fw fa-table"></i>
                <span>Product Member</span></a>
        </li>
    @endif

    <!-- Divider -->
    <hr class="sidebar-divider d-none d-md-block">

    <!-- Sidebar Toggler (Sidebar) -->
    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
    </div>

</ul>
<!-- End of Sidebar -->